Bug 20819 - [i965] fbo_firecube only has a portion displayed
[i965] fbo_firecube only has a portion displayed
Status: VERIFIED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965
unspecified
Other Linux (All)
: medium normal
Assigned To: Eric Anholt
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-24 01:54 UTC by zhao jian
Modified: 2009-05-14 02:22 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
xorg.0.log (61.89 KB, text/plain)
2009-03-24 01:54 UTC, zhao jian
Details
only a part of fbo_firecube displyed (404.89 KB, image/png)
2009-03-24 01:57 UTC, zhao jian
Details

Note You need to log in before you can comment on or make changes to this bug.
Description zhao jian 2009-03-24 01:54:46 UTC
Created attachment 24177 [details]
xorg.0.log

System Environment:
----------------------
Platform:               g45
Arch:           x86_64
OSD:            Fedora release 8 (Werewolf)
Kernel_version:         2.6.29-rc7
Libdrm: (master)2e2e8575b1ed4703653a72ac2b60b75316c388d7
Mesa_stable: (mesa_7_4_branch)a8528a2e8653b5237c1d1d66fe98c6e031d007f9
Xserver_stable: (server-1.6-branch)60c161545af80eb78eb790a05bde79409dfdf16e
Xf86_video_intel_stable: (2.7)238c2c40afd9f8b61479b8640d53f20d52fd7ddf
Kernel_gem_stable: (for-airlied)dc529a4fe1ae4667c819437a94185e8581e1e680

Bug Description:
---------------------
On both G45 and Gm965, the mesa/progs/demos/fbo_firecube only has a portion of itself displayed. As the attached picture shows. It fails both with UXA and EXA. 

Reproduce Steps:
---------------------
1. xinit&
2. run mesa/progs/demos/fbo_firecube
Comment 1 zhao jian 2009-03-24 01:57:31 UTC
Created attachment 24182 [details]
only a part of fbo_firecube displyed
Comment 2 Eric Anholt 2009-04-23 14:01:57 UTC
Bugs in testing against the stable branch should always be replicated against master and noted if the behavior is different.

commit dd56897b27875cacc1a01cef7c2d921915c94312
Author: Eric Anholt <eric@anholt.net>
Date:   Tue Feb 3 20:04:24 2009 -0800

    intel: Fix commented-out glViewport in intel_meta_set_passthrough_transform.
    
    Too much commit -a while debugging.
    (cherry picked from commit 8910da5b7a3b83d733f020dec906fe7b56c093c7)
Comment 3 liuhaien 2009-05-14 02:22:53 UTC
verified against:
Libdrm:         (master)8b8e20e0f9900fae23baee55a91533a739c1a3ec
Mesa:           (master)10c4a10b979bddd099287dec5b69243c2ade8ade
Xserver:                (master)f3c61377d0fb1f09a18833995556fc9ffd11e097
Xf86_video_intel:              
(master)52367847087206b92f18c40d356d36ab9ee89d39
Kernel:             (for-linus)79f11c19a396e8cea7dad322dcfb46c0a8517fe6